org.apache.ignite.spi.discovery

## Interface DiscoveryMetricsProvider

    @GridToStringExclude
    public interface DiscoveryMetricsProvider

Provides metrics to discovery SPI. It is responsibility of discovery SPI to make sure that all nodes have updated metrics data about each other.

Ignite implementation will supply discovery SPI with metrics provider via `DiscoverySpi.setMetricsProvider(DiscoveryMetricsProvider)` method.

### Method Summary

Methods
`Map<Integer,CacheMetrics>` `cacheMetrics()` Returns metrics data about all caches on local node.
`ClusterMetrics` `metrics()` This method always returns up-to-date metrics data about local node.

### Method Detail

#### metrics

    ClusterMetrics metrics()

This method always returns up-to-date metrics data about local node.

Returns:
  Up to date metrics data about local node.

#### cacheMetrics

    Map<Integer,CacheMetrics> cacheMetrics()

Returns metrics data about all caches on local node.

Returns:
  metrics data about all caches on local node.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.3.0-incubating
Release Date | : July 10 2015